/api/clients/{id} (PATCH)
PATCH
/api/clients/{id}
const url = 'https://example.com/api/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","notes":"example","defaultHourlyRate":1,"clearDefaultHourlyRate":true,"defaultIsBillable":true,"clearDefaultIsBillable":true,"color":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/clients/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "notes": "example", "defaultHourlyRate": 1, "clearDefaultHourlyRate": true, "defaultIsBillable": true, "clearDefaultIsBillable": true, "color": "example" }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » id
required
string format: uuid
Request Body required
Section intitulée « Request Body required » Media type application/json
object
name
string
notes
string
defaultHourlyRate
number format: double
clearDefaultHourlyRate
boolean
defaultIsBillable
boolean
clearDefaultIsBillable
boolean
color
string
Example generated
{ "name": "example", "notes": "example", "defaultHourlyRate": 1, "clearDefaultHourlyRate": true, "defaultIsBillable": true, "clearDefaultIsBillable": true, "color": "example"}Responses
Section intitulée « Responses »OK